]> rtime.felk.cvut.cz Git - can-benchmark.git/commitdiff
continuous: Add script to be used with "git bisect run"
authorMichal Sojka <sojkam1@fel.cvut.cz>
Thu, 10 Apr 2014 14:09:01 +0000 (16:09 +0200)
committerMichal Sojka <sojkam1@fel.cvut.cz>
Thu, 10 Apr 2014 14:09:01 +0000 (16:09 +0200)
continuous/steps/bisect-run.sh [new file with mode: 0755]

diff --git a/continuous/steps/bisect-run.sh b/continuous/steps/bisect-run.sh
new file mode 100755 (executable)
index 0000000..b4826c3
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+set -x
+
+cd $(dirname $0)
+./11-patch
+./20-config
+./30-compile
+cd ../tests
+timeout 30s ./kernelgw || ( echo Returned $?; exit 1 )